# Generated from string_pattern-2.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name string_pattern

Name: rubygem-%{gem_name}
Version: 2.2.2
Release: 1%{?dist}
Summary: Generate easily random strings following a simple pattern or regular expression. '10-20:Xn/x/'.generate #>qBstvc6JN8ra. Also generate words in English or Spanish. Perfect to be used in test data factories
License: MIT
URL: https://github.com/MarioRuiz/string_pattern
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Easily generate strings supplying a very simple pattern.
'10-20:Xn/x/'.generate #>qBstvc6JN8ra. Generate random strings using a regular
expression (Regexp): /[a-z0-9]{2,5}w+/.gen . Also generate words in English or
Spanish. Perfect to be used in test data factories. Also, validate if a text
fulfills a specific pattern or even generate a string following a pattern and
returning the wrong length, value... for testing your applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 25 2021 mockbuilder - 2.2.2-1
- Initial package
